Opened 11 years ago

Last modified 11 years ago

#313 new enhancement

NIT: "cocoa-application" seems like the wrong REQUIRE target for the IDE

Reported by: mikel Owned by: gz
Priority: trivial Milestone:
Component: IDE Version:
Keywords: Cc:

Description

Let me acknowledge up front that this is a nit. It keeps bugging me, though, so I thought I'd open a ticket.

To build the Cocoa IDE we currently (require :cocoa-application). This seems wrong on two accounts. First, if there is a REQUIRE target named "cocoa-application", it seems like it should load some sort of common infrastructure that all (CCL) cocoa applications should share. Second, it doesn't describe very well what we are actually building, and it seems like we should instead do something like (require :ccl-cocoa-ide) or something.

There. I feel better now.

Change History (2)

comment:1 Changed 11 years ago by mikel

  • Priority changed from major to trivial

comment:2 Changed 11 years ago by gz

I'd rather not use REQUIRE for this at all, since it makes it awkward to pass parameters into the process. I'd prefer (ccl:load-ide &key application-path copy-headers-p clean etc). That means putting a little bit of the ide's system def into the command line ccl, but that doesn't seem too onerous.

Note: See TracTickets for help on using tickets.